﻿  <!--Blog Area Start-->
<div class="blog-area area-padding">
    <div class="container">
        <div class="row">
            <div class="blog-details" data-ng-if="!vm.filterBloges">
                <div class="col-md-8 col-sm-8 col-xs-12">
                    <!-- single-blog start -->
                    <article class="blog-post-wrapper">
                        <div class="blog-banner">
                            <a class="blog-images" data-ng-if="vm.record.file.path">
                                <img data-ng-src="{{vm.record.file.path}}" alt="" style="width:600px;height:400px">
                            </a>
                            <a class="blog-images" data-ng-if="vm.record.videoPath">
                                <iframe class="embed-responsive-item" src="{{vm.record.videoPath| trusted}}" width="100%" height="400" allow="fullscreen"></iframe>
                            </a>
                            <div class="blog-content">
                                <div class="blog-meta">
                                    <span class="date-type">
                                        {{vm.record.createdOn|dateTimeFormat}}
                                    </span>
                                </div>
                                <h4>{{vm.record.title}}</h4>
                                <p>{{vm.record.description}}</p>
                            </div>
                        </div>
                    </article>
                </div>
                <!-- End single blog -->
                <!-- Start Left Sidebar blog -->
                <div class="col-md-4 col-sm-4 col-xs-12">
                    <div class="left-head-blog">
                        <div class="left-blog-page">
                            <!-- search option start -->
                            <form>
                                <div class="blog-search-option" style="display:flex">
                                    <input type="text" placeholder="Search..." data-ng-model="vm.search">
                                    <button class="button" type="button">
                                        <i class="fa fa-search"></i>
                                    </button>
                                </div>
                            </form>
                            <!-- search option end -->
                        </div>
                        <div class="left-blog-page">
                            <div class="left-blog">
                                <h4>categories</h4>
                                <ul data-ng-repeat="category in vm.categorys |filter: vm.search">
                                    <li data-ng-if="category.blogCount > 0" data-ng-click="vm.getCategoryWiseBlogs(category.id)"><a href="#">{{category.name}}<span class="badge floatright">{{category.blogCount}}</span></a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- End Left Sidebar -->
            </div>
            <div class="blog-grid" data-ng-if="vm.filterBloges">
                <!-- Start single blog -->
                <div class="col-md-8">
                    <div class="col-md-4 col-sm-6 col-xs-12" data-ng-repeat="blog in vm.bloges">
                        <div class="single-blog">
                            <div class="blog-image" data-ng-if="blog.file.path">
                                <a class="image-scale" href="#">
                                    <img data-ng-src="{{blog.file.path}}" alt="" style="height:200px;">
                                </a>
                            </div>
                            <div class="blog-image" data-ng-if="blog.videoPath">
                                <iframe class="embed-responsive-item" src="{{blog.videoPath| trusted}}" width="100%" height="200" allow="fullscreen"></iframe>
                            </div>
                            <div class="blog-content cursor-pointer" data-ui-sref="StoriesDetails({slug: blog.slug})">
                                <div class="blog-title">
                                    <div class="blog-meta">
                                        <span class="date-type">
                                            {{blog.createdOn|dateTimeFormat}}
                                        </span>
                                    </div>
                                    <a data-ui-sref="StoriesDetails({slug: blog.slug})">
                                        <h4>{{blog.title}}</h4>
                                    </a>
                                </div>
                                <div class="blog-text">
                                    <p>{{ blog.description | limitTo: 80 }}{{blog.description.length > 80 ? '...' : ''}}</p>
                                    <a class="blog-btn" data-ui-sref="StoriesDetails({slug: blog.slug})">Read more</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- End single blog -->
            </div>
            <!-- Start Left Sidebar blog -->
            <div class="col-md-4 col-sm-4 col-xs-12" data-ng-if="vm.filterBloges">
                <div class="left-head-blog">
                    <div class="left-blog-page">
                        <!-- search option start -->
                        <form>
                            <div class="blog-search-option" style="display:flex">
                                <input type="text" placeholder="Search..." data-ng-model="vm.search">
                                <button class="button" type="button">
                                    <i class="fa fa-search"></i>
                                </button>
                            </div>
                        </form>
                        <!-- search option end -->
                    </div>
                    <div class="left-blog-page">
                        <div class="left-blog">
                            <h4>categories</h4>
                            <ul data-ng-repeat="category in vm.categorys |filter: vm.search">
                                <li data-ng-if="category.blogCount > 0" data-ng-click="vm.getCategoryWiseBlogs(category.id)"><a href="#">{{category.name}}<span class="badge floatright">{{category.blogCount}}</span></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <!-- End Left Sidebar -->
        </div>
        <!-- End row -->
    </div>
</div>
<!--End of Blog Area-->